import React from 'react';

function styleInject(css, ref) {
  if ( ref === void 0 ) ref = {};
  var insertAt = ref.insertAt;

  if (!css || typeof document === 'undefined') { return; }

  var head = document.head || document.getElementsByTagName('head')[0];
  var style = document.createElement('style');
  style.type = 'text/css';

  if (insertAt === 'top') {
    if (head.firstChild) {
      head.insertBefore(style, head.firstChild);
    } else {
      head.appendChild(style);
    }
  } else {
    head.appendChild(style);
  }

  if (style.styleSheet) {
    style.styleSheet.cssText = css;
  } else {
    style.appendChild(document.createTextNode(css));
  }
}

var css = ".ResizeContainer {\r\n    \r\n}\r\n\r\n.ResizeContent {\r\n    flex-grow: 1;\r\n    align-self: stretch;\r\n    display: flex;\r\n}\r\n.ResizeContentVertical {\r\n    flex-flow: column;\r\n}\r\n.ResizeContentHorizontal {\r\n    flex-flow: row;\r\n}\r\n.ResizeHandleHorizontal {\r\n    cursor: ew-resize;\r\n    width: 12px;\r\n    height: 50px;\r\n    background: white;\r\n    border: 2px solid lightgray;\r\n    border-radius: 8px;\r\n    text-align: center;\r\n    z-index: 99999;\r\n    overflow: hidden;\r\n    display: flex;\r\n    align-items: center ;\r\n\r\n}\r\n\r\n.ResizeHandleVertical {\r\n    cursor: ns-resize;\r\n    width:50px;\r\n    height: 12px;\r\n    border-radius: 8px;\r\n    background: white;\r\n    border: 2px solid lightgray;\r\n    z-index: 99999;\r\n    overflow: hidden;\r\n    display: flex;\r\n    justify-content: center;\r\n\r\n}\r\n\r\n.ResizeHandlePositionW {\r\n    margin-left:-8px;\r\n    margin-right: -9px;\r\n}\r\n.ResizeHandlePositionE {\r\n    margin-right:-8px;\r\n    margin-left: -9px;\r\n}\r\n.ResizeHandlePositionS {\r\n    margin-top: -9px;\r\n    margin-bottom: -8px;\r\n}\r\n.ResizeHandlePositionN {    \r\n    margin-top: -8px;   \r\n    margin-bottom: -9px;\r\n}\r\n\r\n.ResizeHandleHorizontal>span, .ResizeHandleVertical>span {\r\n    display: inline-block;\r\n    overflow: hidden;\r\n    font-size: 12px;\r\n    font-weight: bold;\r\n    font-family: sans-serif;\r\n    letter-spacing: 1px;\r\n    color: #b3b3b3;\r\n    text-shadow: 1px 0 1px rgb(90, 90, 90);\r\n}\r\n.ResizeHandleHorizontal>span {\r\n    line-height: 4px;\r\n}\r\n.ResizeHandleVertical>span {\r\n    text-align: center;\r\n    line-height: 12px;\r\n    margin-top: -3px;\r\n}\r\n.ResizeHandleHorizontal>span::after{\r\n    content: '. . . . . . . .';\r\n}\r\n.ResizeHandleVertical>span::after{\r\n    content: '......';\r\n}";
styleInject(css);

function ResizePanel () {
  return React.createElement("div", {
    className: "ResizeContent"
  }, "test");
} // const ContainerStyleHorizontal = {
//     display: 'flex',
//     alignItems: 'center',
//     flexFlow: 'row nowrap'
// }
// const ContainerStyleVertical = {
//     display: 'flex',
//     alignItems: 'center',
//     flexFlow: 'column nowrap'
// }
// const HandleDirectionStyles = {
//     w: "ResizeHandlePositionW", e: "ResizeHandlePositionE", n: "ResizeHandlePositionN", s: "ResizeHandlePositionS"
// }
// class ResizePanel extends React.Component {
//     constructor(props) {
//         super(props)
//         this.state = { size: 0 }
//         this.validateSize = debounce(this.validateSize, 100).bind(this);
//     }
//     isHorizontal = () => this.props.direction === "w" || this.props.direction === "e";
//     componentDidMount() {
//         const { content, wrapper } = this.refs;
//         const actualContent = content.children[0];
//         this.setState({ size: this.isHorizontal() ? $(actualContent).outerWidth(true) : $(actualContent).outerHeight(true) });
//     }
//     validateSize() {
//         const isHorizontal = this.isHorizontal();
//         const { content, wrapper } = this.refs;
//         const actualContent = content.children[0];
//         let containerParent = wrapper.parentElement;
//         // If our resizing has left the parent container's content overflowing
//         // then we need to shrink back down to fit
//         let overflow = isHorizontal ? containerParent.scrollWidth - containerParent.clientWidth : containerParent.scrollHeight - containerParent.clientHeight;
//         if (overflow) {
//             this.setState({
//                 ...this.state,
//                 size: isHorizontal ? actualContent.scrollWidth - overflow : actualContent.scrollHeight - overflow,
//             });
//         }
//         // 
//         // Or if our size doesn't equal the actual content size, then we
//         // must have pushed past the min size of the content, so resize back
//         let minSize = isHorizontal ? $(actualContent).outerWidth(true) : $(actualContent).outerHeight(true);
//         if (this.state.size !== minSize) {
//             this.setState({
//                 ...this.state,
//                 size: minSize,
//             });
//         }
//     }
//     handleDrag = (e, ui) => {
//         const { direction } = this.props;
//         const factor = direction === "e" || direction === "s" ? -1 : 1;
//         const { content } = this.refs;
//         const minWidth = (this.isHorizontal() ? content.children[0].scrollWidth : content.children[0].scrollheight) || 0;
//         let delta = this.isHorizontal() ? ui.deltaX : ui.deltaY
//         this.setState((s, p) => ({ size: Math.max(10, s.size - (delta * factor)) }))
//     }
//     handleDragEnd = (e, ui) => {
//         this.validateSize();
//     }
//     render() {
//         const dragHandlers = { onDrag: this.handleDrag, onStop: this.handleDragEnd };
//         const { direction } = this.props;
//         const isHorizontal = this.isHorizontal();
//         let containerStyle = isHorizontal ? ContainerStyleHorizontal : ContainerStyleVertical;
//         let handleClasses = "ResizeHandle " + HandleDirectionStyles[direction];
//         handleClasses += (isHorizontal ? " ResizeHandleHorizontal " : " ResizeHandleVertical ");
//         let contentStyle = isHorizontal ? { width: this.state.size + 'px' } : { height: this.state.size + 'px' };
//         let contentClassName = "ResizeContent " + (isHorizontal ? "ResizeContentHorizontal" : "ResizeContentVertical");
//         let content = [
//             <div key="content" ref="content" className={contentClassName} style={contentStyle}>
//                     {React.Children.only(this.props.children)}
//             </div>
//         ];
//         let handle =
//             <DraggableCore key="handle" {...dragHandlers}>
//                 <div className={handleClasses}><span /></div>
//             </DraggableCore>
//         if (direction === 'w' || direction === 'n') {
//             content.unshift(handle)
//         } else {
//             content.push(handle);
//         }
//         return (
//             <div ref="wrapper" style={containerStyle} className="ResizeContainer">
//                 {content}
//             </div>
//         );
//     }
// }
// export default ResizePanel;

export default ResizePanel;
